#import "../_lib/const.typ": *
#import "../_lib/cover.typ": cover

#set page(
  width: page_width,
  height: page_height,
  margin: page_margin,
  numbering: "1",
)
#set text(font: default_font, size: default_font_size)
#set list(marker: "•")

#cover(name: "Computer Science", slug: "cs")

#set heading(numbering: "1.")
#pagebreak()

#outline()
#pagebreak()

#align(center)[= CS math]

== Base n mathematics

=== Boolean

=== Decimal

=== Octal

=== Hexadecimal

== Bits

#pagebreak()

#align(center)[= Logic circuit]

#pagebreak()

#align(center)[= Computer architecture]

== Turing machine

== Von Neumann architecture

== ISA

=== x86-64

=== ARM

=== MIPS

#pagebreak()

#align(center)[= DSA]

== Analysis of algorithms

== Graph

=== Tree

== Sorting algorithm

#pagebreak()

#align(center)[= Cryptography]

== RSA

#pagebreak()

#align(center)[= Networking]

== OSI Model

=== Physical layer

=== Data link layer

=== Network layer

=== Transport layer

=== Session layer

=== Presentation layer

=== Application layer

#pagebreak()

== TCP

#pagebreak()

== HTTP

=== Status codes

=== HTTPS
