# pomp's Cheatsheets

## What's this?

These are digitized versions of cheat sheets/study notes I've been making since
the early 2010s. Made with [Typst](https://typst.app/).

![](./.forgejo/img/notes.avif)

## Progress

- [ ] [Mathematics](./src/math/math.typ) (WIP)
- [ ] [Physics](./src/phy/phy.typ) (WIP)
- [ ] [Neuroscience](./src/neuro/neuro.typ) (WIP)
- [ ] [Electrical Engineering](./src/ee/ee.typ) (WIP)
- [ ] [Chemistry](./src/chem/chem.typ) (WIP)
- [ ] [Computer Science](./src/cs/cs.typ) (WIP)

## How to setup

1. Setup [devenv](https://devenv.sh/getting-started/)
2. Generate pdf

   e.g.

   ```
   typst watch src/math/math.typ --root .
   ```
